Get Projects Linked To Secret

Get Projects Linked To Secret
Retrieves a paginated list of projects linked to a secret.

Retrieves a paginated list of projects linked to a secret.

Request
URI
GET
https://vcf-stls-wcp-pod13-137.lvn.broadcom.net/platform/api/secrets/{id}/projects
COPY
Path Parameters
string
id
Required

the id of the secret

Query Parameters
string
apiVersion
Optional

The version of the API in yyyy-MM-dd format. For versioning information refer to /platform/api/about.

apiVersion example
2023-01-01

Authentication
This operation uses the following authentication methods.
Responses
200

'Success' with a paginated list of linked projects

Returns Page of type(s) */*
{
    "totalElements": 0,
    "totalPages": 0,
    "pageable": {
        "paged": false,
        "pageNumber": 0,
        "pageSize": 0,
        "offset": 0,
        "sort": {
            "sorted": false,
            "empty": false,
            "unsorted": false
        },
        "unpaged": false
    },
    "size": 0,
    "content": [
        {}
    ],
    "number": 0,
    "sort": {
        "sorted": false,
        "empty": false,
        "unsorted": false
    },
    "numberOfElements": 0,
    "first": false,
    "last": false,
    "empty": false
}

401

Unauthorized, the user is not authenticated

Operation doesn't return any data structure

403

Forbidden, the user lacks permissions

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/platform/api/secrets/{id}/projects